Bug 798766

Summary: emacs doesn't compile on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: emacsAssignee: Karel Klíč <kklic>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dan, jonathan.underwood, kklic, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-06 08:32:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 245418    

Description Peter Robinson 2012-02-29 14:46:33 EST
Emacs 24 doesn't compile on ARM platforms. v23 use to.

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=56660

The error is:
Wrong type argument: listp, 2945660
Comment 1 Dan Horák 2012-03-02 13:51:52 EST
Peter, can you try to build the latest source from http://git.savannah.gnu.org/gitweb/?p=emacs.git;a=summary ? Also please create an upstream bug report, they acted very promptly on my issue on s390.
Comment 2 Peter Robinson 2012-03-06 08:32:00 EST
The latest snapshot in rawhide now builds